## kradio4 4.0.8+git20170124

=== CMakeLists.txt ===
project(kradio4)

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
if(POLICY CMP0059)
    cmake_policy(SET CMP0059 OLD)
endif()
if(POLICY CMP0064)
    cmake_policy(SET CMP0064 OLD)
endif()

list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(KDE4 4.7.0 REQUIRED)
find_package(Qt4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

SET(KRADIO_VERSION "4.0.8")

MESSAGE(STATUS "Compiling KRadio4-${KRADIO_VERSION}")



########################################################################
#       Check if libboost is available                                 #
########################################################################


find_package( Boost 1.20 REQUIRED)
# find_package( Boost 1.xx COMPONENTS regex REQUIRED)



########################################################################

find_package(Gettext)
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
    message(STATUS "msgfmt not found. Translations will *not* be installed")
endif()
include(MacroProcessPoFiles)

########################################################################

ADD_DEFINITIONS (
    -DKRADIO_VERSION="${KRADIO_VERSION}"
    ${KDE4_DEFINITIONS}
    -DQT_STRICT_ITERATORS
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
)

option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
IF(WITH_KRADIO_FIXMES)
    ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
ENDIF(WITH_KRADIO_FIXMES)

option(WITH_KRADIO_PROFILERS "Enable the runtime profilers" OFF)
if(WITH_KRADIO_PROFILERS)
    add_definitions(-DKRADIO_ENABLE_PROFILERS)
endif()

INCLUDE_DIRECTORIES(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations
)

SET(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio4/plugins"
)





ADD_SUBDIRECTORY(icons)
#ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(presets)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(convert-presets)

########################################################################
#     The lines below only affect the executable, no plugins!          #
########################################################################

file(GLOB kradio_radiostation_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
)

file(GLOB kradio_interfaces_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*_interfaces.cpp
)

file(GLOB kradio_main_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
)


file(GLOB kradio4_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.ui
)

kde4_add_ui_files(kradio_main_sources
    ${kradio4_UIs}
)

kde4_add_executable(kradio4
    ${kradio_interfaces_sources}
    ${kradio_radiostation_sources}
    ${kradio_main_sources}
)

SET_TARGET_PROPERTIES(kradio4
    PROPERTIES
    LINK_FLAGS    " -Wl,--export-dynamic "
)

TARGET_LINK_LIBRARIES(kradio4
  ${KDE4_KDEUI_LIBS}
  ${QT_QTXML_LIBRARY}
  ${KDE4_KIO_LIBRARY}
)

INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})

SET(documentation_files
    README
    README.PVR
    README.your-help-is-wanted
    ChangeLog
    AUTHORS
    COPYING
    FAQ
)

INSTALL(
	FILES       ${documentation_files}
    DESTINATION ${SHARE_INSTALL_PREFIX}/doc/kradio4/
)

INSTALL(
    FILES       kradio4.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)


MACRO_DISPLAY_FEATURE_LOG()

=== plugins/alsa-sound/CMakeLists.txt ===
project(kradio4_plugin_alsa_sound)

add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

INCLUDE_DIRECTORIES(
    ${ALSA_INCLUDE_DIRS}
)



FILE(GLOB kradio_plugin_alsa_sound_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_alsa_sound_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_alsa_sound_sources
    ${kradio_plugin_alsa_sound_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_alsa_sound
    ${kradio_plugin_alsa_sound_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_alsa_sound
  ${KDE4_KDEUI_LIBS}
  ${ALSA_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_alsa_sound ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-error-log/CMakeLists.txt ===
project(kradio4_plugin_gui_error_log)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_error_log_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_error_log_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_error_log_sources
    ${kradio_plugin_gui_error_log_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_error_log
    ${kradio_plugin_gui_error_log_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_error_log
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_gui_error_log ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-standard-display/CMakeLists.txt ===
project(kradio4_plugin_gui_standard_display)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_standard_display_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_standard_display_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_standard_display_sources
    ${kradio_plugin_gui_standard_display_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_standard_display
    ${kradio_plugin_gui_standard_display_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_standard_display
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_gui_standard_display ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/lirc/CMakeLists.txt ===
project(kradio4_plugin_lirc)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

INCLUDE_DIRECTORIES(
    ${LircClient_INCLUDE_DIRS}
)

FILE(GLOB kradio_plugin_lirc_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_lirc_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_lirc_sources
    ${kradio_plugin_lirc_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_lirc
    ${kradio_plugin_lirc_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_lirc
  ${KDE4_KDEUI_LIBS}
  ${LircClient_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_lirc ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES default-dot-lircrc DESTINATION ${DATA_INSTALL_DIR}/kradio4 )

=== plugins/mpris/CMakeLists.txt ===
project(kradio4_plugin_mpris)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_mpris_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_mpris_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_mpris_sources
    ${kradio_plugin_mpris_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_mpris
    ${kradio_plugin_mpris_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_mpris
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_mpris ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/radio/CMakeLists.txt ===
project(kradio4_plugin_radio)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_radio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_radio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)


KDE4_ADD_UI_FILES(kradio_plugin_radio_sources
    ${kradio_plugin_radio_UIs}
)



KDE4_ADD_PLUGIN(kradio4_plugin_radio
    ${kradio_plugin_radio_sources}
)




string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})

TARGET_LINK_LIBRARIES(kradio4_plugin_radio 
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_radio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/soundserver/CMakeLists.txt ===
project(kradio4_plugin_soundserver)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_soundserver_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_soundserver_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)


KDE4_ADD_UI_FILES(kradio_plugin_soundserver_sources
    ${kradio_plugin_soundserver_UIs}
)



KDE4_ADD_PLUGIN(kradio4_plugin_soundserver
    ${kradio_plugin_soundserver_sources}
)




string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})

TARGET_LINK_LIBRARIES(kradio4_plugin_soundserver 
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_soundserver ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/streaming/CMakeLists.txt ===
project(kradio4_plugin_streaming)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_streaming_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_streaming_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_streaming_sources
    ${kradio_plugin_streaming_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_streaming
    ${kradio_plugin_streaming_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_streaming
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_streaming ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/timecontrol/CMakeLists.txt ===
project(kradio4_plugin_timecontrol)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_timecontrol_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_timecontrol_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_timecontrol_sources
    ${kradio_plugin_timecontrol_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_timecontrol
    ${kradio_plugin_timecontrol_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_timecontrol
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_timecontrol ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/timeshifter/CMakeLists.txt ===
project(kradio4_plugin_timeshifter)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_timeshifter_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_timeshifter_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_timeshifter_sources
    ${kradio_plugin_timeshifter_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_timeshifter
    ${kradio_plugin_timeshifter_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_timeshifter
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_timeshifter ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/v4lradio/CMakeLists.txt ===
project(kradio4_plugin_v4lradio)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_v4lradio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_v4lradio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_v4lradio_sources
    ${kradio_plugin_v4lradio_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_v4lradio
    ${kradio_plugin_v4lradio_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_v4lradio
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_v4lradio ${INSTALL_TARGETS_DEFAULT_ARGS})

###############################################################################

option(WITH_V4L2 "Compile with V4L2 support" ON)

IF (WITH_V4L2)
    message(STATUS "   Compiling with V4L2 support")
    add_definitions( -DHAVE_V4L2 )
ELSE(WITH_V4L2)
    message(STATUS "   Compiling without V4L2 support")
ENDIF(WITH_V4L2)

MACRO_LOG_FEATURE(WITH_V4L2 "V4L2 Support"  "Support for V4L2 support. Recommended and necessary for recent kernels > 2.6.30" "http://www.linuxtv.org/wiki/index.php/Main_Page")

###############################################################################


option(WITH_RDS_DEBUG_EMULATE "Do some RDS emulation for RDS debugging without an RDS-enabled card" OFF)

IF (WITH_RDS_DEBUG_EMULATE)
    message(STATUS "   Compiling with RDS-Debug-Emulation")
    add_definitions( -DRDS_DEBUG_EMULATE )
ELSE(WITH_RDS_DEBUG_EMULATE)
    message(STATUS "   Compiling without RDS-Debug-Emulation")
ENDIF(WITH_RDS_DEBUG_EMULATE)

#MACRO_LOG_FEATURE(WITH_RDS_DEBUG_EMULATE "RDS Debug Emulation"  "Emulate some dummy RDS message for testing RDS functionality without having an RDS renabled radio card" "http://www.linuxtv.org/wiki/index.php/Radio_Data_System_%28RDS%29")

###############################################################################

=== debian/changelog ===
kradio4 (4.0.8+git20170124-1) unstable; urgency=medium

  * New upstream Git snapshot.

 -- Pino Toscano <pino@debian.org>  Tue, 24 Jan 2017 22:58:43 +0100

kradio4 (4.0.8+git20170114-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * The rebuild with newer lirc-client should fix crashes in the lirc plugin.
    (Closes: #844517)

 -- Pino Toscano <pino@debian.org>  Sat, 14 Jan 2017 23:33:56 +0100

=== debian/control ===
Source: kradio4
Section: sound
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
 Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.7.0), gettext, libsndfile1-dev, liblircclient-dev,
 libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
 libglib2.0-dev, libboost-dev,
 libmp3lame-dev, libasound2-dev [linux-any]
Standards-Version: 3.9.8
Homepage: http://kradio.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/


Package: kradio4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: kradio
Description: comfortable radio application for KDE
 KRadio is a comfortable radio application for KDE 4.x with support for
 V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides:
 .
   * V4L/V4L2 radio support
   * Remote control support (LIRC)
   * Alarms, sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
   * Recording capabilities, including MP3, Ogg/Vorbis, and WAV encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_ARGS += -DWITH_ALSA=OFF
endif

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --buildsystem=kde
	# remove useless documentation shipped upstream
	rm -f \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/INSTALL
	# remove changelog installed by upstream, dh_installchangelogs will do it
	rm -f $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/ChangeLog

.PHONY: override_dh_auto_test

## kradio4 4.0.8+git20180527

=== convert-presets/CMakeLists.txt ===

kde4_add_executable(kradio4-convert-presets
    convert-presets.cpp
)

TARGET_LINK_LIBRARIES(kradio4-convert-presets
  ${KDE4_KDECORE_LIBS}
)

INSTALL(TARGETS kradio4-convert-presets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/CMakeLists.txt ===
project(kradio4plugins)

find_package(PkgConfig)

include(CheckIncludeFileCXX)
include(CheckLibraryExists)

###############################################################################

option(WITH_ALSA "Compile with alsa support" ON)

IF(WITH_ALSA)
    find_package(ALSA)

    IF(NOT ALSA_FOUND)

        SET(WITH_ALSA OFF
            CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")

    ENDIF(NOT ALSA_FOUND)
ENDIF(WITH_ALSA)


IF (WITH_ALSA)
    message(STATUS "   Compiling with ALSA support")
    message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
    message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
    message(STATUS "   Compiling with alsa support")
ELSE(WITH_ALSA)
    message(STATUS "   Compiling without ALSA support")
ENDIF(WITH_ALSA)


MACRO_LOG_FEATURE(WITH_ALSA "ALSA support" "Support for ALSA Sound Devices" "http://www.alsa-project.org")

###############################################################################


option(WITH_LIRC "Compile with LIRC support" ON)

IF(WITH_LIRC)
    find_package(LircClient)

    IF(NOT LircClient_FOUND)

        SET(WITH_LIRC OFF
            CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")

    ENDIF(NOT LircClient_FOUND)
ENDIF(WITH_LIRC)


IF (WITH_LIRC)
    message(STATUS "   Compiling with LIRC support")
ELSE(WITH_LIRC)
    message(STATUS "   Compiling without LIRC support")
ENDIF(WITH_LIRC)

MACRO_LOG_FEATURE(WITH_LIRC "LIRC support" "Support for remote controls via LIRC interfaces" "http://www.lirc.org")

###############################################################################




option(WITH_FFMPEG "Compile with Internet Radio Stations support (libavformat/libffmpeg, libmms)" ON)

IF(WITH_FFMPEG)
    SET (FFMPEG_LIBRARY_DIRS  "")
    SET (FFMPEG_INCLUDE_DIRS  "")
    SET (FFMPEG_LIBRARIES     "")

    pkg_check_modules(LIBAVFORMAT libavformat)
    pkg_check_modules(LIBAVCODEC  libavcodec)
    IF(LIBAVFORMAT_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBAVFORMAT_LIBRARY_DIRS} ${LIBAVCODEC_LIBRARY_DIRS} )
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVFORMAT_LIBRARIES}    ${LIBAVCODEC_LIBRARIES}    )
        SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBAVFORMAT_INCLUDE_DIRS} ${LIBAVCODEC_INCLUDE_DIRS} )

    ELSE(LIBAVFORMAT_FOUND)
        CHECK_INCLUDE_FILE_CXX(ffmpeg/avformat.h            HAVE_AVFORMAT_OLD_INC)
        CHECK_INCLUDE_FILE_CXX(libavformat/avformat.h       HAVE_AVFORMAT_INC)
        CHECK_LIBRARY_EXISTS(avformat av_open_input_file "" HAVE_AVFORMAT_LIB)
        IF (HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
            IF (HAVE_AVFORMAT_LIB)
                SET(LIBAVFORMAT_FOUND ON)
                SET(FFMPEG_LIBRARIES    "avutil" "avformat" ${FFMPEG_LIBRARIES})
            ENDIF(HAVE_AVFORMAT_LIB)
        ENDIF(HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
    ENDIF(LIBAVFORMAT_FOUND)



    pkg_check_modules(LIBSWRESAMPLE libswresample)
    IF(LIBSWRESAMPLE_FOUND)
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBSWRESAMPLE_LIBRARIES}   )
        add_definitions( -DHAVE_LIBSWRESAMPLE )
    ENDIF(LIBSWRESAMPLE_FOUND)


    pkg_check_modules(LIBAVRESAMPLE libavresample)
    IF(LIBAVRESAMPLE_FOUND)
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVRESAMPLE_LIBRARIES}   )
        add_definitions( -DHAVE_LIBAVRESAMPLE )
    ENDIF(LIBAVRESAMPLE_FOUND)

    IF(NOT LIBAVCODEC_VERSION LESS 53.42.0)
        IF(NOT LIBSWRESAMPLE_FOUND AND NOT LIBAVRESAMPLE_FOUND)
            ERROR(FATAL_ERROR "ERROR: found libavcodec " ${LIBAVCODEC_VERSION} " which requires libswresample or libavesample. However, none is not available.")
        ENDIF(NOT LIBSWRESAMPLE_FOUND AND NOT LIBAVRESAMPLE_FOUND)
    ENDIF(NOT LIBAVCODEC_VERSION LESS 53.42.0)


    set(LIBMMS_MIN_VERSION 0.5)
    find_package(Libmms ${LIBMMS_MIN_VERSION})

    IF ( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )
        SET(WITH_FFMPEG OFF
            CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
    ENDIF( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )

ENDIF(WITH_FFMPEG)


IF (WITH_FFMPEG)
    message(STATUS "   Compiling with Internet Radio Stations (libavformat/libffmpeg, libmms) support")
    message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
    message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
    message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")
    message(STATUS "       Libmms_INCLUDE_DIRS = ${Libmms_INCLUDE_DIRS}")
    message(STATUS "       Libmms_LIBRARIES    = ${Libmms_LIBRARIES}")

    IF(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG_OLD )
    ELSE(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG -D__STDC_CONSTANT_MACROS )
    ENDIF(HAVE_AVFORMAT_OLD_INC)
ELSE(WITH_FFMPEG)
    message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
ENDIF(WITH_FFMPEG)

MACRO_LOG_FEATURE(LIBAVFORMAT_FOUND "FFMPEG support"          "Support for internet radio by libffmpeg" "http://ffmpeg.org")
MACRO_LOG_FEATURE(LIBMMS_FOUND      "MMS protocol support"    "Support internet radio protocol mms:// by libmms"  "https://launchpad.net/libmms" FALSE "${LIBMMS_MIN_VERSION}")
MACRO_LOG_FEATURE(WITH_FFMPEG       "Internet radio support"  "Internet radio requires both libffmpeg and libmms" "")

###############################################################################



ADD_SUBDIRECTORY(radio)
IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    ADD_SUBDIRECTORY(v4lradio)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
IF(WITH_ALSA)
    ADD_SUBDIRECTORY(alsa-sound)
ENDIF(WITH_ALSA)
ADD_SUBDIRECTORY(soundserver)
ADD_SUBDIRECTORY(gui-docking-menu)
ADD_SUBDIRECTORY(timecontrol)
ADD_SUBDIRECTORY(timeshifter)
ADD_SUBDIRECTORY(streaming)
ADD_SUBDIRECTORY(recording)
ADD_SUBDIRECTORY(gui-quickbar)
ADD_SUBDIRECTORY(gui-error-log)
IF(WITH_LIRC)
    ADD_SUBDIRECTORY(lirc)
ENDIF(WITH_LIRC)
ADD_SUBDIRECTORY(gui-standard-display)
ADD_SUBDIRECTORY(shortcuts)
IF(WITH_FFMPEG)
    ADD_SUBDIRECTORY(internetradio)
ENDIF(WITH_FFMPEG)
ADD_SUBDIRECTORY(dbus)
ADD_SUBDIRECTORY(mpris)

=== plugins/dbus/CMakeLists.txt ===
project(kradio4_plugin_dbus)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_dbus_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_dbus_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_dbus_sources
    ${kradio_plugin_dbus_UIs}
)

QT4_ADD_DBUS_ADAPTOR(kradio_plugin_dbus_sources net.sourceforge.kradio.xml
                     dbussupport.h DBusSupport)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_dbus
    ${kradio_plugin_dbus_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_dbus
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_dbus ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-docking-menu/CMakeLists.txt ===
project(kradio4_plugin_gui_docking_menu)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_docking_menu_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_docking_menu_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_docking_menu_sources
    ${kradio_plugin_gui_docking_menu_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_docking_menu
    ${kradio_plugin_gui_docking_menu_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_docking_menu
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_gui_docking_menu ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-quickbar/CMakeLists.txt ===
project(kradio4_plugin_gui_quickbar)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_quickbar_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_quickbar_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_quickbar_sources
    ${kradio_plugin_gui_quickbar_UIs}
)



string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_quickbar
    ${kradio_plugin_gui_quickbar_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_quickbar
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_gui_quickbar ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/internetradio/CMakeLists.txt ===
project(kradio4_plugin_internetradio)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

#add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )


#ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

LINK_DIRECTORIES(
    ${FFMPEG_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${FFMPEG_INCLUDE_DIRS}
    ${Libmms_INCLUDE_DIRS}
)

FILE(GLOB kradio_plugin_internetradio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_internetradio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_internetradio_sources
    ${kradio_plugin_internetradio_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_internetradio
    ${kradio_plugin_internetradio_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_internetradio
  ${KDE4_KDEUI_LIBS}
  ${FFMPEG_LIBRARIES}
  ${LIBSWRESAMPLE_LIBRARIES}
  ${Libmms_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_internetradio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/recording/CMakeLists.txt ===
project(kradio4_plugin_recording)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

include(CheckIncludeFile)

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

option(WITH_OGG_VORBIS "Compile with ogg/vorbis support" ON)
option(WITH_LAME       "Compile with mp3/lame   support" ON)

###############################################################################

IF(WITH_OGG_VORBIS)
    find_package(OggVorbis)
    IF(NOT OGGVORBIS_FOUND OR NOT HAVE_LIBVORBISENC2)

        SET(WITH_OGG_VORBIS OFF
            CACHE BOOL "ogg/vorbis files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: ogg/vorbis files could not be found on this system. Compiling without ogg/vorbis support")

    ENDIF(NOT OGGVORBIS_FOUND OR NOT HAVE_LIBVORBISENC2)
ENDIF(WITH_OGG_VORBIS)


IF (WITH_OGG_VORBIS)
    message(STATUS "   Compiling with ogg/vorbis support")
    add_definitions( -DHAVE_OGG )
    include_directories(${OGGVORBIS_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})
    set(LIB_OGG ${OGGVORBIS_LIBRARIES})
ELSE(WITH_OGG_VORBIS)
    message(STATUS "   Compiling without ogg/vorbis support")
    set(LIB_OGG "")
ENDIF(WITH_OGG_VORBIS)

MACRO_LOG_FEATURE(WITH_OGG_VORBIS "ogg/vorbis support"  "Support for audio compression format ogg/vorbis" "http://www.vorbis.com") 

###############################################################################


IF(WITH_LAME)
    find_package(Lame)
    IF(NOT Lame_FOUND)

        SET(WITH_LAME OFF
            CACHE BOOL "mp3/lame files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: mp3/lame files could not be found on this system. Compiling without mp3/lame support")

    ENDIF(NOT Lame_FOUND)
ENDIF(WITH_LAME)


IF (WITH_LAME)
    message(STATUS "   Compiling with mp3/lame support")
    add_definitions( -DHAVE_LAME )
    include_directories(${Lame_INCLUDE_DIRS})
    set(LIB_LAME ${Lame_LIBRARIES})
ELSE(WITH_LAME)
    message(STATUS "   Compiling without mp3/lame support")
    set(LIB_LAME "")
ENDIF(WITH_LAME)

MACRO_LOG_FEATURE(WITH_LAME "mp3/lame support"  "Support for audio compression format .mp3 via lame" "http://lame.sourceforge.net") 

###############################################################################

SET(WITH_LIBSNDFILE ON)

find_package(Sndfile REQUIRED)
SET(WITH_LIBSNDFILE ${Sndfile_FOUND})

include_directories(${Sndfile_INCLUDE_DIRS})

MACRO_LOG_FEATURE(WITH_LIBSNDFILE "libsndfile generic sound file support"  "Support for some standard audio formats (e.g. .wav)" "http://www.mega-nerd.com/libsndfile" TRUE)

###############################################################################


FILE(GLOB kradio_plugin_recording_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_recording_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_recording_sources
    ${kradio_plugin_recording_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_recording
    ${kradio_plugin_recording_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_recording
  ${KDE4_KDEUI_LIBS}
  ${LIB_OGG}
  ${LIB_LAME}
  ${Sndfile_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_recording ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/shortcuts/CMakeLists.txt ===
project(kradio4_plugin_shortcuts)
add_definitions( -DPROJECT_NAME="${PROJECT_NAME}" )

ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_shortcuts_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_shortcuts_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_shortcuts_sources
    ${kradio_plugin_shortcuts_UIs}
)


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_shortcuts
    ${kradio_plugin_shortcuts_sources}
)

TARGET_LINK_LIBRARIES(kradio4_plugin_shortcuts
  ${KDE4_KDEUI_LIBS}
)

INSTALL(TARGETS kradio4_plugin_shortcuts ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kradio4 (4.0.8+git20180527-1) unstable; urgency=medium

  * New upstream Git snapshot:
    - fixes build with FFmpeg 4.0+ (Closes: #888352)
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove trailing whitespaces in changelog.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch from the deprecated libavresample to libswresample: replace
    the libavresample-dev build dependency with libswresample-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 17:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
+Build-Depends: debhelper (>= 11~), pkg-kde-tools (>= 0.5), cmake,
  kdelibs5-dev (>= 4:4.7.0), gettext, libsndfile1-dev, liblircclient-dev,
- libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
+ libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libswresample-dev,
  libglib2.0-dev, libboost-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://kradio.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kradio.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kradio
 
 
 Package: kradio4

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 %:
-	dh $@ --parallel --with kde
+	dh $@ --with kde
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)

=== debian/watch ===
version=3

http://sf.net/kradio/kradio4-([0-9\.]*)\.tar\.bz2 debian svn-upgrade
#http://kde-apps.org/content/download.php?content=28097&id=2&tan=26031820&PHPSESSID=8f3ad80f8138d75d515a60d5c69a2b45
#https://sourceforge.net/projects/kradio/files/kradio/4.0.4/kradio4-4.0.4.tar.bz2/download

#http://kde-apps.org/content/download.php?content=28097 \
#  /CONTENT/content-files/28097-kradio4-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade
